org.jacoco.core.tools

## Class ExecFileLoader

- java.lang.Object
- - org.jacoco.core.tools.ExecFileLoader

    public class ExecFileLoader
    extends Object

Convenience utility for loading *.exec files into a `ExecutionDataStore` and a `SessionInfoStore`.

### Constructor Summary

Constructors
Constructor and Description
`ExecFileLoader()` New instance to combine session infos and execution data from multiple files.

### Method Summary

All Methods Instance Methods Concrete Methods
`ExecutionDataStore` `getExecutionDataStore()` Returns the execution data store with data for all loaded classes.
`SessionInfoStore` `getSessionInfoStore()` Returns the session info store with all loaded sessions.
`void` `load(File file)` Reads all data from given input stream.
`void` `load(InputStream stream)` Reads all data from given input stream.
`void` `save(File file, boolean append)` Saves the current content into the given file.
`void` `save(OutputStream stream)` Saves the current content into the given output stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecFileLoader

    public ExecFileLoader()

New instance to combine session infos and execution data from multiple files.

### Method Detail

#### load

    public void load(InputStream stream)
              throws IOException

Reads all data from given input stream.

Parameters:
  `stream` - Stream to read data from
Throws:
  `IOException` - in case of problems while reading from the stream

#### load

    public void load(File file)
              throws IOException

Reads all data from given input stream.

Parameters:
  `file` - file to read data from
Throws:
  `IOException` - in case of problems while reading from the stream

#### save

    public void save(OutputStream stream)
              throws IOException

Saves the current content into the given output stream.

Parameters:
  `stream` - stream to save content to
Throws:
  `IOException` - in case of problems while writing to the stream

#### save

    public void save(File file,
                     boolean append)
              throws IOException

Saves the current content into the given file. Parent directories are created as needed. Also a files system lock is acquired to avoid concurrent write access.

Parameters:
  `file` - file to save content to
  `append` - `true` if the content should be appended, otherwise the file is overwritten.
Throws:
  `IOException` - in case of problems while writing to the stream

#### getSessionInfoStore

    public SessionInfoStore getSessionInfoStore()

Returns the session info store with all loaded sessions.

Returns:
  session info store

#### getExecutionDataStore

    public ExecutionDataStore getExecutionDataStore()

Returns the execution data store with data for all loaded classes.

Returns:
  execution data store